// Water Caulk

textures/ut4_poolparty/watercaulk
{
	qer_editorimage textures/common/watercaulk.jpg
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}


// sky

textures/ut4_poolparty/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodlight

	q3map_sunExt .7 .5 .3 360 50 51 3 16
	q3map_globaltexture
	q3map_skylight 220 4

	q3map_lightmapFilterRadius 1 8

	skyparms textures/ut4_poolparty/env/sky 1024 -

	nopicmip
	nomipmaps

	qer_editorimage textures/ut4_poolparty/sky_clouds.jpg

	{
		map textures/ut4_poolparty/sky_clouds.jpg
		tcMod scale 2 2
		tcMod scroll 0.002 -0.0100
		rgbGen identityLighting
	}
	{
		map textures/ut4_poolparty/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}


// Pool Water

textures/ut4_poolparty/pool
{
	qer_editorimage textures/ut4_poolparty/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/ut4_poolparty/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/ut4_poolparty/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}


// Message

textures/ut4_poolparty/welcomemessage
{
qer_editorimage textures/ut4_poolparty/message.tga
surfaceparm nonopaque
surfaceparm trans
surfaceparm alphashadow
cull twosided
qer_trans 1.0
{
map textures/ut4_poolparty/message.tga
alphaFunc GE128
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
depthWrite
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
} 

// Mirror Message

textures/ut4_poolparty/welcomemessagemirror
{
qer_editorimage textures/ut4_poolparty/messagemirror.tga
surfaceparm nonopaque
surfaceparm trans
surfaceparm alphashadow
cull twosided
qer_trans 1.0
{
map textures/ut4_poolparty/messagemirror.tga
alphaFunc GE128
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
depthWrite
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
} 
